Subject: Re: [TLS] Call for Adoption: draft-stebila-tls-hybrid-design
From: "Martin Thomson" <[email-masked]>
To: [email-masked]
Date: Fri, 14 Feb 2020 08:28:27 +1100
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

On Fri, Feb 14, 2020, at 06:00, Salz, Rich wrote:
> >    I think the draft would be ok to adopt if we don't finish
>     it until the outcome from the NIST competition is known.
>     Otherwise I would be against adoption.
>   
> I think I agree with this, but am not sure. Can we have this on the 
> agenda for Vancouver?

That's a good idea.  Because I'm fairly sure that I disagree.

This work might form the basis of experiments.  If the competition result is known, we might instead want to start the process of defining key exchange with a single algorithm rather than concern ourselves with compositions.  Having the document in place so that we can define experiments with a degree of surety with respect to their risks is best.

In any case, we should adopt this work.